Bug 119238 - avc: denied { read }.. exe=/usr/bin/lpr.cups
avc: denied { read }.. exe=/usr/bin/lpr.cups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
triage|leonardjo|closed|rawhide
:
Depends On:
Blocks: 122683
  Show dependency treegraph
 
Reported: 2004-03-26 17:39 EST by Ben Levenson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.9.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 13:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2004-03-26 17:39:36 EST
Description of problem:
can't print a file as sysadm_r:

avc:  denied  { read } for  pid=2467 exe=/usr/bin/lpr.cups name=foo.ps
dev=hdb1 ino=1044507 scontext=root:sysadm_r:sysadm_lpr_t
tcontext=root:object_r:staff_home_t tclass=file

printing from staff_r works as expected.

Version-Release number of selected component (if applicable):
policy-1.9-17

Additional info:
seems a little like the mount problem (bug# 118975)
Comment 1 Daniel Walsh 2004-04-01 13:03:41 EST
Fixed in policy-1.9.1-1

Note You need to log in before you can comment on or make changes to this bug.